Bug 218341 - Power off and suspend-to-RAM not working on Sony Vaio VGN-C140G
Power off and suspend-to-RAM not working on Sony Vaio VGN-C140G
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Nigel Cunningham
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-12-04 14:33 EST by Michel Alexandre Salim
Modified: 2008-05-06 13:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 13:06:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2006-12-04 14:33:33 EST
Description of problem:
On the Sony VAIO C140G (probably true for other laptops in the C1x0 line), the
laptop would not power off or suspend. The shutdown sequence would proceed
normally but at the end the power light remains on, and I have to hold the power
button for 4 seconds to turn it off.

Likewise with suspend-to-RAM. Instead of the power light blinking red it stays
on and green.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. System->Shutdown
2. System->Suspend
Actual results:
System remains on after the relevant sequence has been carried out

Expected results:
System powered off / enters sleep mode

Additional info:
It has an Intel 3945 wireless chipset. I have manually turned off NetworkManager
and modprobe -d the kernel module before attempting sleep.
Comment 1 Michel Alexandre Salim 2006-12-05 13:22:27 EST
The failure to power off is due to VMware modules not being stopped (the problem
with closed source..). It still does not enter sleep mode properly.
Comment 2 Michel Alexandre Salim 2007-02-05 11:13:26 EST
On kernel 2.6.19-1.2919.fc7, the device would enter sleep state but still would
not wake up
Comment 3 Nigel Cunningham 2007-12-10 18:17:50 EST
Sorry for the really slow response.

Have you been able to try a newer kernel or Fedora release, and does it help at
all? (Work on hibernation and suspend to ram is going on all the time, so you
can generally expect that newer kernels will improve the situation).
Comment 4 Bug Zapper 2008-04-04 01:06:00 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 13:06:54 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.